//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.template.definer.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attribute name="IDs" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" /&gt;
 *       &lt;attribute name="base_Constraint" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *       &lt;attribute name="targetIDScheme" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "ConstraintDoc")
public class ConstraintDoc implements Comparable<ConstraintDoc> {

    @XmlAttribute(name = "valueSet", required = true)
    private String valueSet;
    
    @XmlAttribute(name = "base_Constraint", required = true)
    private String baseConstraint;
	
    /**
     * <p>Getter for the field <code>valueSet</code>.</p>
     *
     * @return a {@link java.lang.String} object.
     */
    public String getValueSet() {
		return valueSet;
	}
	/**
	 * <p>Setter for the field <code>valueSet</code>.</p>
	 *
	 * @param valueSet a {@link java.lang.String} object.
	 */
	public void setValueSet(String valueSet) {
		this.valueSet = valueSet;
	}
	/**
	 * <p>Getter for the field <code>baseConstraint</code>.</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public String getBaseConstraint() {
		return baseConstraint;
	}
	/**
	 * <p>Setter for the field <code>baseConstraint</code>.</p>
	 *
	 * @param baseConstraint a {@link java.lang.String} object.
	 */
	public void setBaseConstraint(String baseConstraint) {
		this.baseConstraint = baseConstraint;
	}
	/** {@inheritDoc} */
	@Override
	public int compareTo(ConstraintDoc o) {
		return this.valueSet.compareTo(o.valueSet);
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((baseConstraint == null) ? 0 : baseConstraint.hashCode());
		result = prime * result + ((valueSet == null) ? 0 : valueSet.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ConstraintDoc other = (ConstraintDoc) obj;
		if (baseConstraint == null) {
			if (other.baseConstraint != null)
				return false;
		} else if (!baseConstraint.equals(other.baseConstraint))
			return false;
		if (valueSet == null) {
			if (other.valueSet != null)
				return false;
		} else if (!valueSet.equals(other.valueSet))
			return false;
		return true;
	}
	
}
